Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(3)

Issue 2731403007: add voice interaction shortcut. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
4 months, 3 weeks ago by Muyuan
Modified:
4 months, 1 week ago
CC:
chromium-reviews, elijahtaylor+arcwatch_chromium.org, oshima+watch_chromium.org, viettrungluu+watch_chromium.org, qsr+mojo_chromium.org, hidehiko+watch_chromium.org, yzshen+watch_chromium.org, abarth-chromium, Aaron Boodman, lhchavez+watch_chromium.org, victorhsieh+watch_chromium.org, darin (slow to review), davemoore+watch_chromium.org, yusukes+watch_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

add voice interaction shortcut. BUG=699309 Test=Meta + a starts voice interaction session in CrOS. Review-Url: https://codereview.chromium.org/2731403007 Cr-Commit-Position: refs/heads/master@{#457985} Committed: https://chromium.googlesource.com/chromium/src/+/d8b8f945e7c2c694b202b9a0cd2e63db34ac30c1

Patch Set 1 #

Total comments: 20

Patch Set 2 : Updated docs for mojom fields; Changed coding according to comments. #

Total comments: 25

Patch Set 3 : Changed mojom comments #

Total comments: 37

Patch Set 4 : address issues according to comments #

Patch Set 5 : removed debugging prints #

Total comments: 33

Patch Set 6 : address review comments #

Patch Set 7 : add voice interaction shortcut. #

Total comments: 19

Patch Set 8 : address review comments #

Patch Set 9 : split 2 mojom host. #

Total comments: 4

Patch Set 10 : minor edits to address review comments. #

Patch Set 11 : rebased #

Patch Set 12 : rebased #

Total comments: 4

Patch Set 13 : fix build and address review comments #

Total comments: 4

Patch Set 14 : addressed review comments #

Unified diffs Side-by-side diffs Delta from patch set Stats (+195 lines, -2 lines) Patch
M chrome/browser/chromeos/BUILD.gn View 1 2 3 4 5 6 7 8 9 10 11 12 1 chunk +2 lines, -0 lines 0 comments Download
M chrome/browser/chromeos/arc/arc_service_launcher.cc View 1 2 3 4 5 6 7 8 9 10 11 12 2 chunks +6 lines, -0 lines 0 comments Download
A chrome/browser/chromeos/arc/voice_interaction/arc_voice_interaction_framework_service.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 1 chunk +55 lines, -0 lines 0 comments Download
A chrome/browser/chromeos/arc/voice_interaction/arc_voice_interaction_framework_service.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 1 chunk +81 lines, -0 lines 0 comments Download
M chromeos/chromeos_switches.h View 1 2 3 4 5 1 chunk +1 line, -0 lines 0 comments Download
M chromeos/chromeos_switches.cc View 1 2 3 4 5 1 chunk +3 lines, -0 lines 0 comments Download
M components/arc/BUILD.gn View 1 2 3 4 5 6 7 8 9 10 1 chunk +1 line, -0 lines 0 comments Download
M components/arc/arc_bridge_host_impl.h View 1 2 3 4 5 6 7 8 9 10 1 chunk +2 lines, -0 lines 0 comments Download
M components/arc/arc_bridge_host_impl.cc View 1 2 3 4 5 6 7 8 9 10 1 chunk +6 lines, -0 lines 0 comments Download
M components/arc/arc_bridge_service.h View 1 2 3 4 5 6 7 8 9 10 3 chunks +7 lines, -0 lines 0 comments Download
M components/arc/common/arc_bridge.mojom View 1 2 3 4 5 6 7 8 9 10 11 2 chunks +7 lines, -2 lines 0 comments Download
A components/arc/common/voice_interaction_framework.mojom View 1 2 3 4 5 6 7 8 9 1 chunk +24 lines, -0 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 63 (29 generated)
Luis Héctor Chávez
first round. https://codereview.chromium.org/2731403007/diff/1/chrome/browser/chromeos/arc/arc_voice_interaction_service.cc File chrome/browser/chromeos/arc/arc_voice_interaction_service.cc (right): https://codereview.chromium.org/2731403007/diff/1/chrome/browser/chromeos/arc/arc_voice_interaction_service.cc#newcode22 chrome/browser/chromeos/arc/arc_voice_interaction_service.cc:22: constexpr std::string kEnableVoiceInteraction = "enable-voice-interaction"; std::string does ...
4 months, 2 weeks ago (2017-03-08 15:22:41 UTC) #7
xiyuan (OOO Aug 8)
https://codereview.chromium.org/2731403007/diff/1/chrome/browser/chromeos/arc/arc_voice_interaction_service.cc File chrome/browser/chromeos/arc/arc_voice_interaction_service.cc (right): https://codereview.chromium.org/2731403007/diff/1/chrome/browser/chromeos/arc/arc_voice_interaction_service.cc#newcode78 chrome/browser/chromeos/arc/arc_voice_interaction_service.cc:78: accelerators.push_back(std::move(acc)); nit: You can use {} syntax to save ...
4 months, 2 weeks ago (2017-03-08 17:38:00 UTC) #8
Muyuan
https://codereview.chromium.org/2731403007/diff/1/chrome/browser/chromeos/arc/arc_voice_interaction_service.cc File chrome/browser/chromeos/arc/arc_voice_interaction_service.cc (right): https://codereview.chromium.org/2731403007/diff/1/chrome/browser/chromeos/arc/arc_voice_interaction_service.cc#newcode22 chrome/browser/chromeos/arc/arc_voice_interaction_service.cc:22: constexpr std::string kEnableVoiceInteraction = "enable-voice-interaction"; On 2017/03/08 15:22:40, Luis ...
4 months, 2 weeks ago (2017-03-09 00:41:04 UTC) #9
xc
https://codereview.chromium.org/2731403007/diff/20001/chrome/browser/chromeos/arc/arc_service_launcher.cc File chrome/browser/chromeos/arc/arc_service_launcher.cc (right): https://codereview.chromium.org/2731403007/diff/20001/chrome/browser/chromeos/arc/arc_service_launcher.cc#newcode141 chrome/browser/chromeos/arc/arc_service_launcher.cc:141: base::MakeUnique<ArcVoiceInteractionService>(arc_bridge_service)); Can we use the flag to guard the ...
4 months, 2 weeks ago (2017-03-09 05:05:47 UTC) #10
Muyuan
https://codereview.chromium.org/2731403007/diff/20001/chrome/browser/chromeos/arc/arc_service_launcher.cc File chrome/browser/chromeos/arc/arc_service_launcher.cc (right): https://codereview.chromium.org/2731403007/diff/20001/chrome/browser/chromeos/arc/arc_service_launcher.cc#newcode141 chrome/browser/chromeos/arc/arc_service_launcher.cc:141: base::MakeUnique<ArcVoiceInteractionService>(arc_bridge_service)); On 2017/03/09 05:05:47, xc wrote: > Can we ...
4 months, 2 weeks ago (2017-03-09 20:44:45 UTC) #11
hidehiko
quick drive-by; https://codereview.chromium.org/2731403007/diff/40001/chrome/browser/chromeos/arc/arc_voice_interaction_service.cc File chrome/browser/chromeos/arc/arc_voice_interaction_service.cc (right): https://codereview.chromium.org/2731403007/diff/40001/chrome/browser/chromeos/arc/arc_voice_interaction_service.cc#newcode15 chrome/browser/chromeos/arc/arc_voice_interaction_service.cc:15: #include "components/arc/arc_features.h" nit: Looks unused? https://codereview.chromium.org/2731403007/diff/40001/chrome/browser/chromeos/arc/arc_voice_interaction_service.cc#newcode64 chrome/browser/chromeos/arc/arc_voice_interaction_service.cc:64: ...
4 months, 2 weeks ago (2017-03-10 06:14:50 UTC) #13
xiyuan (OOO Aug 8)
https://codereview.chromium.org/2731403007/diff/40001/chrome/browser/chromeos/arc/arc_voice_interaction_service.cc File chrome/browser/chromeos/arc/arc_voice_interaction_service.cc (right): https://codereview.chromium.org/2731403007/diff/40001/chrome/browser/chromeos/arc/arc_voice_interaction_service.cc#newcode24 chrome/browser/chromeos/arc/arc_voice_interaction_service.cc:24: const ui::Accelerator kVoiceInteractionAccelerator(ui::VKEY_A, Move this close to where it ...
4 months, 2 weeks ago (2017-03-10 18:01:16 UTC) #14
Muyuan
https://codereview.chromium.org/2731403007/diff/40001/chrome/browser/chromeos/arc/arc_voice_interaction_service.cc File chrome/browser/chromeos/arc/arc_voice_interaction_service.cc (right): https://codereview.chromium.org/2731403007/diff/40001/chrome/browser/chromeos/arc/arc_voice_interaction_service.cc#newcode15 chrome/browser/chromeos/arc/arc_voice_interaction_service.cc:15: #include "components/arc/arc_features.h" On 2017/03/10 06:14:49, hidehiko wrote: > nit: ...
4 months, 2 weeks ago (2017-03-10 22:36:10 UTC) #15
Luis Héctor Chávez
second round. https://codereview.chromium.org/2731403007/diff/40001/components/arc/common/voice_interaction.mojom File components/arc/common/voice_interaction.mojom (right): https://codereview.chromium.org/2731403007/diff/40001/components/arc/common/voice_interaction.mojom#newcode15 components/arc/common/voice_interaction.mojom:15: bool success; On 2017/03/10 22:36:10, Muyuan wrote: ...
4 months, 2 weeks ago (2017-03-13 17:39:35 UTC) #16
Luis Héctor Chávez
https://codereview.chromium.org/2731403007/diff/80001/components/arc/common/voice_interaction.mojom File components/arc/common/voice_interaction.mojom (right): https://codereview.chromium.org/2731403007/diff/80001/components/arc/common/voice_interaction.mojom#newcode75 components/arc/common/voice_interaction.mojom:75: remove trailing empty lines.
4 months, 2 weeks ago (2017-03-13 17:41:02 UTC) #17
Muyuan
https://codereview.chromium.org/2731403007/diff/80001/chrome/browser/chromeos/arc/arc_voice_interaction_service.cc File chrome/browser/chromeos/arc/arc_voice_interaction_service.cc (right): https://codereview.chromium.org/2731403007/diff/80001/chrome/browser/chromeos/arc/arc_voice_interaction_service.cc#newcode23 chrome/browser/chromeos/arc/arc_voice_interaction_service.cc:23: constexpr char kEnableVoiceInteraction[] = "enable-voice-interaction"; On 2017/03/13 17:39:34, Luis ...
4 months, 2 weeks ago (2017-03-14 01:38:14 UTC) #18
Luis Héctor Chávez
https://codereview.chromium.org/2731403007/diff/20001/chrome/browser/chromeos/arc/arc_service_launcher.cc File chrome/browser/chromeos/arc/arc_service_launcher.cc (right): https://codereview.chromium.org/2731403007/diff/20001/chrome/browser/chromeos/arc/arc_service_launcher.cc#newcode141 chrome/browser/chromeos/arc/arc_service_launcher.cc:141: base::MakeUnique<ArcVoiceInteractionService>(arc_bridge_service)); On 2017/03/09 20:44:44, Muyuan wrote: > On 2017/03/09 ...
4 months, 2 weeks ago (2017-03-14 02:11:33 UTC) #19
xiyuan (OOO Aug 8)
https://codereview.chromium.org/2731403007/diff/120001/chrome/browser/chromeos/arc/arc_voice_interaction_service.cc File chrome/browser/chromeos/arc/arc_voice_interaction_service.cc (right): https://codereview.chromium.org/2731403007/diff/120001/chrome/browser/chromeos/arc/arc_voice_interaction_service.cc#newcode40 chrome/browser/chromeos/arc/arc_voice_interaction_service.cc:40: ArcVoiceInteractionService* service_; nit: ArcVoiceInteractionService* const service_; const ptr since ...
4 months, 2 weeks ago (2017-03-14 17:55:31 UTC) #20
Muyuan
https://codereview.chromium.org/2731403007/diff/80001/components/arc/common/voice_interaction.mojom File components/arc/common/voice_interaction.mojom (right): https://codereview.chromium.org/2731403007/diff/80001/components/arc/common/voice_interaction.mojom#newcode15 components/arc/common/voice_interaction.mojom:15: bool success; On 2017/03/14 02:11:33, Luis Héctor Chávez wrote: ...
4 months, 2 weeks ago (2017-03-14 21:37:01 UTC) #21
Muyuan
4 months, 2 weeks ago (2017-03-14 21:37:04 UTC) #22
xiyuan (OOO Aug 8)
lgtm But please wait for Luis. And think you need one of //ipc/SECURITY_OWNERS for the ...
4 months, 1 week ago (2017-03-15 15:58:16 UTC) #23
Luis Héctor Chávez
Thanks, this looks much better! https://codereview.chromium.org/2731403007/diff/160001/components/arc/common/voice_interaction_arc_home.mojom File components/arc/common/voice_interaction_arc_home.mojom (right): https://codereview.chromium.org/2731403007/diff/160001/components/arc/common/voice_interaction_arc_home.mojom#newcode52 components/arc/common/voice_interaction_arc_home.mojom:52: interface VoiceInteractionArcHomeHost { Maybe ...
4 months, 1 week ago (2017-03-16 16:30:21 UTC) #24
Muyuan
https://codereview.chromium.org/2731403007/diff/160001/components/arc/common/voice_interaction_arc_home.mojom File components/arc/common/voice_interaction_arc_home.mojom (right): https://codereview.chromium.org/2731403007/diff/160001/components/arc/common/voice_interaction_arc_home.mojom#newcode52 components/arc/common/voice_interaction_arc_home.mojom:52: interface VoiceInteractionArcHomeHost { On 2017/03/16 16:30:20, Luis Héctor Chávez ...
4 months, 1 week ago (2017-03-16 20:41:34 UTC) #29
hidehiko
FYI: build failure looks caused by conflict. Could you rebase on ToT? (Then you'll need ...
4 months, 1 week ago (2017-03-16 20:49:34 UTC) #30
Muyuan
On 2017/03/16 20:49:34, hidehiko wrote: > FYI: build failure looks caused by conflict. > Could ...
4 months, 1 week ago (2017-03-16 21:40:13 UTC) #33
Luis Héctor Chávez
lgtm with a nit. Please keep in mind that security reviewers are not super fans ...
4 months, 1 week ago (2017-03-17 21:56:02 UTC) #39
dcheng
LGTM https://codereview.chromium.org/2731403007/diff/220001/chrome/browser/chromeos/arc/voice_interaction/arc_voice_interaction_framework_service.cc File chrome/browser/chromeos/arc/voice_interaction/arc_voice_interaction_framework_service.cc (right): https://codereview.chromium.org/2731403007/diff/220001/chrome/browser/chromeos/arc/voice_interaction/arc_voice_interaction_framework_service.cc#newcode71 chrome/browser/chromeos/arc/voice_interaction/arc_voice_interaction_framework_service.cc:71: // details needs to be implemented in the ...
4 months, 1 week ago (2017-03-17 22:55:16 UTC) #42
Muyuan
https://codereview.chromium.org/2731403007/diff/220001/chrome/browser/chromeos/arc/arc_service_launcher.cc File chrome/browser/chromeos/arc/arc_service_launcher.cc (right): https://codereview.chromium.org/2731403007/diff/220001/chrome/browser/chromeos/arc/arc_service_launcher.cc#newcode146 chrome/browser/chromeos/arc/arc_service_launcher.cc:146: chromeos::switches::kEnableVoiceInteraction)) { On 2017/03/17 21:56:02, Luis Héctor Chávez wrote: ...
4 months, 1 week ago (2017-03-17 23:39:30 UTC) #45
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2731403007/240001
4 months, 1 week ago (2017-03-17 23:40:01 UTC) #46
commit-bot: I haz the power
Try jobs failed on following builders: chromium_presubmit on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/chromium_presubmit/builds/388681)
4 months, 1 week ago (2017-03-17 23:47:35 UTC) #48
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2731403007/240001
4 months, 1 week ago (2017-03-18 00:02:36 UTC) #50
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_tsan_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_tsan_rel_ng/builds/34949)
4 months, 1 week ago (2017-03-18 01:05:50 UTC) #52
Luis Héctor Chávez
https://codereview.chromium.org/2731403007/diff/240001/chrome/browser/chromeos/arc/voice_interaction/arc_voice_interaction_framework_service.cc File chrome/browser/chromeos/arc/voice_interaction/arc_voice_interaction_framework_service.cc (right): https://codereview.chromium.org/2731403007/diff/240001/chrome/browser/chromeos/arc/voice_interaction/arc_voice_interaction_framework_service.cc#newcode22 chrome/browser/chromeos/arc/voice_interaction/arc_voice_interaction_framework_service.cc:22: bool ArcVoiceInteractionFrameworkService::IsVoiceInteractionEnabled() { nit: add // static above https://codereview.chromium.org/2731403007/diff/240001/chrome/browser/chromeos/arc/voice_interaction/arc_voice_interaction_framework_service.h ...
4 months, 1 week ago (2017-03-18 03:02:12 UTC) #53
Muyuan
https://codereview.chromium.org/2731403007/diff/240001/chrome/browser/chromeos/arc/voice_interaction/arc_voice_interaction_framework_service.cc File chrome/browser/chromeos/arc/voice_interaction/arc_voice_interaction_framework_service.cc (right): https://codereview.chromium.org/2731403007/diff/240001/chrome/browser/chromeos/arc/voice_interaction/arc_voice_interaction_framework_service.cc#newcode22 chrome/browser/chromeos/arc/voice_interaction/arc_voice_interaction_framework_service.cc:22: bool ArcVoiceInteractionFrameworkService::IsVoiceInteractionEnabled() { On 2017/03/18 03:02:12, Luis Héctor Chávez ...
4 months, 1 week ago (2017-03-19 00:24:15 UTC) #54
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2731403007/260001
4 months, 1 week ago (2017-03-19 00:24:30 UTC) #57
commit-bot: I haz the power
Committed patchset #14 (id:260001) as https://chromium.googlesource.com/chromium/src/+/d8b8f945e7c2c694b202b9a0cd2e63db34ac30c1
4 months, 1 week ago (2017-03-19 01:19:54 UTC) #60
jam
A revert of this CL (patchset #14 id:260001) has been created in https://codereview.chromium.org/2757103002/ by jam@chromium.org. ...
4 months, 1 week ago (2017-03-19 01:28:20 UTC) #61
findit-for-me
Findit confirmed this CL at revision 457985 as the culprit for failures in the build ...
4 months, 1 week ago (2017-03-19 01:39:29 UTC) #62
Muyuan
4 months, 1 week ago (2017-03-19 02:03:15 UTC) #63
Message was sent while issue was closed.
On 2017/03/19 01:28:20, jam wrote:
> A revert of this CL (patchset #14 id:260001) has been created in
> https://codereview.chromium.org/2757103002/ by mailto:jam@chromium.org.
> 
> The reason for reverting is: Breaks debug chromeos build
> 
>
https://luci-logdog.appspot.com/v/?s=chromium%2Fbb%2Fchromium.chromiumos%2FLi...
> 
> FAILED:
> obj/chrome/browser/chromeos/chromeos/arc_voice_interaction_framework_service.o

> /b/c/goma_client/gomacc
../../third_party/llvm-build/Release+Asserts/bin/clang++
> -MMD -MF
>
obj/chrome/browser/chromeos/chromeos/arc_voice_interaction_framework_service.o.d
> -DV8_DEPRECATION_WARNINGS -DUSE_UDEV -DUSE_ASH=1 -DUSE_AURA=1 -DUSE_PANGO=1
> -DUSE_CAIRO=1 -DUSE_GLIB=1 -DUSE_NSS_CERTS=1 -DUSE_X11=1 -DFULL_SAFE_BROWSING
> -DSAFE_BROWSING_CSD -DSAFE_BROWSING_DB_LOCAL -DCHROMIUM_BUILD
> -DENABLE_MEDIA_ROUTER=1 -DFIELDTRIAL_TESTING_ENABLED
> -DCR_CLANG_REVISION=\"296321-1\" -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE
> -D_LARGEFILE64_SOURCE -D__STDC_CONSTANT_MACROS -D__STDC_FORMAT_MACROS
> -DCOMPONENT_BUILD -DOS_CHROMEOS -D_DEBUG -DDYNAMIC_ANNOTATIONS_ENABLED=1
> -DWTF_USE_DYNAMIC_ANNOTATIONS=1 -D_GLIBCXX_DEBUG=1
> -DGLIB_VERSION_MAX_ALLOWED=GLIB_VERSION_2_32
> -DGLIB_VERSION_MIN_REQUIRED=GLIB_VERSION_2_26 -DGL_GLEXT_PROTOTYPES -DUSE_GLX
> -DUSE_EGL -DTOOLKIT_VIEWS=1 -DGOOGLE_PROTOBUF_NO_RTTI
> -DGOOGLE_PROTOBUF_NO_STATIC_INITIALIZER -DHAVE_PTHREAD -DPROTOBUF_USE_DLLS
> -DSK_IGNORE_DW_GRAY_FIX -DSK_IGNORE_DIRECTWRITE_GASP_FIX
> -DSK_IGNORE_LINEONLY_AA_CONVEX_PATH_OPTS -DSKIA_DLL -DGR_GL_IGNORE_ES3_MSAA=0
> -DSK_SUPPORT_GPU=1 -DU_USING_ICU_NAMESPACE=0 -DU_ENABLE_DYLOAD=0
> -DICU_UTIL_DATA_IMPL=ICU_UTIL_DATA_FILE -DV8_USE_EXTERNAL_STARTUP_DATA
> -DBORINGSSL_SHARED_LIBRARY -DUSING_V8_SHARED -DLEVELDB_PLATFORM_CHROMIUM=1
> -DFEATURE_ENABLE_VOICEMAIL -DEXPAT_RELATIVE_PATH -DGTEST_RELATIVE_PATH
> -DNO_MAIN_THREAD_WRAPPING -DNO_SOUND_SYSTEM -DWEBRTC_CHROMIUM_BUILD
> -DWEBRTC_POSIX -DWEBRTC_LINUX -DCHROMEOS -DUSING_V8_SHARED -I../.. -Igen
> -I../../build/linux/ubuntu_precise_amd64-sysroot/usr/include/glib-2.0
>
-I../../build/linux/ubuntu_precise_amd64-sysroot/usr/lib/x86_64-linux-gnu/glib-2.0/include
> -I../../third_party/khronos -I../../gpu -I../../third_party/libwebp
> -I../../third_party/protobuf/src -Igen/protoc_out
> -I../../third_party/protobuf/src -I../../skia/config -I../../skia/ext
> -I../../third_party/skia/include/c -I../../third_party/skia/include/config
> -I../../third_party/skia/include/core -I../../third_party/skia/include/effects
> -I../../third_party/skia/include/images -I../../third_party/skia/include/lazy
> -I../../third_party/skia/include/pathops -I../../third_party/skia/include/pdf
> -I../../third_party/skia/include/pipe -I../../third_party/skia/include/ports
> -I../../third_party/skia/include/utils -I../../third_party/skia/include/gpu
> -I../../third_party/skia/src/gpu -I../../third_party/skia/src/sksl
> -I../../third_party/ced/src -I../../third_party/icu/source/common
> -I../../third_party/icu/source/i18n -Igen -I../../third_party/mesa/src/include
> -I../../third_party/libwebm/source -I../../third_party/boringssl/src/include
> -I../../build/linux/ubuntu_precise_amd64-sysroot/usr/include/nss
> -I../../build/linux/ubuntu_precise_amd64-sysroot/usr/include/nspr -Igen
> -I../../third_party/WebKit -Igen/third_party/WebKit -I../../v8/include
> -Igen/v8/include -Igen/components/metrics/proto -I../../third_party/re2/src
> -Igen -I../../build/linux/ubuntu_precise_amd64-sysroot/usr/include/dbus-1.0
>
-I../../build/linux/ubuntu_precise_amd64-sysroot/usr/lib/x86_64-linux-gnu/dbus-1.0/include
> -Igen -I../../third_party/cacheinvalidation/overrides
> -I../../third_party/cacheinvalidation/src -I../../third_party/leveldatabase
> -I../../third_party/leveldatabase/src
> -I../../third_party/leveldatabase/src/include
> -I../../third_party/libusb/src/libusb -I../../third_party/webrtc_overrides
> -I../../testing/gtest/include -I../../third_party
> -I../../third_party/webrtc_overrides -I../../third_party
> -I../../third_party/zlib -I../../v8/include -Igen/v8/include
> -fno-strict-aliasing -Wno-builtin-macro-redefined -D__DATE__= -D__TIME__=
> -D__TIMESTAMP__= -funwind-tables -fPIC -pipe
> -B../../third_party/binutils/Linux_x64/Release/bin -fcolor-diagnostics -m64
> -march=x86-64 -pthread -Wall -Werror -Wextra -Wno-missing-field-initializers
> -Wno-unused-parameter -Wno-c++11-narrowing -Wno-covered-switch-default
> -Wno-deprecated-register -Wno-unneeded-internal-declaration
> -Wno-inconsistent-missing-override -Wno-shift-negative-value
> -Wno-undefined-var-template -Wno-nonportable-include-path
> -Wno-address-of-packed-member -Wno-unused-lambda-capture
> -Wno-user-defined-warnings -O0 -fno-omit-frame-pointer -g2 -gsplit-dwarf
> --sysroot=../../build/linux/ubuntu_precise_amd64-sysroot -fvisibility=hidden
> -Xclang -load -Xclang
> ../../third_party/llvm-build/Release+Asserts/lib/libFindBadConstructs.so
-Xclang
> -add-plugin -Xclang find-bad-constructs -Xclang
-plugin-arg-find-bad-constructs
> -Xclang check-auto-raw-pointer -Xclang -plugin-arg-find-bad-constructs -Xclang
> check-ipc -Wheader-hygiene -Wstring-conversion -Wtautological-overlap-compare
> -Wexit-time-destructors -Wno-header-guard -fvisibility-inlines-hidden
> -Wno-undefined-bool-conversion -Wno-tautological-undefined-compare
-std=gnu++11
> -Wno-reserved-user-defined-literal -fno-rtti -fno-exceptions -c
>
../../chrome/browser/chromeos/arc/voice_interaction/arc_voice_interaction_framework_service.cc
> -o
> obj/chrome/browser/chromeos/chromeos/arc_voice_interaction_framework_service.o
>
../../chrome/browser/chromeos/arc/voice_interaction/arc_voice_interaction_framework_service.cc:78:16:
> error: chosen constructor is explicit in copy-initialization
>   callback.Run({});
>                ^~
>
../../build/linux/ubuntu_precise_amd64-sysroot/usr/lib/gcc/x86_64-linux-gnu/4.6/../../../../include/c++/4.6/debug/vector:77:7:
> note: explicit constructor declared here
>       vector(const _Allocator& __a = _Allocator())
>       ^
> ../../base/callback.h:81:17: note: passing argument to parameter 'args' here
>   R Run(Args... args) const {
>                 ^
> 1 error generated..

Just out of curiosity, why CQ is unable to catch this? Seems they are different
configurations?
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 25c286973